let
  pkgs = import <nixpkgs> { };
in
  pkgs.stdenv.mkDerivation {
    name = "diary";
    version = "v0.15-unstable";
    buildInputs = with pkgs; [
      pkg-config
      ncurses
      curlFull
      libxml2
    ];

    src = pkgs.fetchgit {
      url = "https://git.in0rdr.ch/diary.git";
      hash = "sha256-EIL9L/x456e350V1/3DT7sUS7ruytXyR0t3zXferyPc=";
    };

    installPhase = ''
      install -d $out/bin
      install -d $out/share/man/man1
      install -m755 diary $out/bin/
      install -m644 man1/diary.1 $out/share/man/man1/
    '';
  }

